<?php

class UBB_B extends UBB
{
	var $allow1 = 'EMPTY';
	var $allow2 = 'STRING';
	
	var $info = array('Name'=>'B', 'Version'=>'1.0', 'Info'=>'Display text in bold');
	
	function process($value1, $value2)
	{
		return "<b>$value2</b>";
	}
}


class UBB_U extends UBB
{
	var $allow1 = 'EMPTY';
	var $allow2 = 'STRING';
	
	var $info = array('Name'=>'U', 'Version'=>'1.0', 'Info'=>'Display underlined text');
	
	function process($value1, $value2)
	{
		return "<u>$value2</u>";
	}
}



class UBB_I extends UBB
{
	var $allow1 = 'EMPTY';
	var $allow2 = 'STRING';
	
	var $info = array('Name'=>'I', 'Version'=>'1.0', 'Info'=>'Display text in italic');
	
	function process($value1, $value2)
	{
		return "<i>$value2</i>";
	}
}

?>